# -*- encoding: utf-8 -*-
# stub: base32.rb 0.4.2 ruby lib

Gem::Specification.new do |s|
  s.name = "base32.rb".freeze
  s.version = "0.4.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/ydakuka/base32.rb/issues", "homepage_uri" => "https://github.com/ydakuka/base32.rb", "source_code_uri" => "https://github.com/ydakuka/base32.rb" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Samuel Tesla".freeze]
  s.date = "2020-03-07"
  s.description = "Base32 is one of several base 32 transfer encodings. Base32 uses a 32-character set comprising the twenty-six upper-case letters A\u2013Z, and the digits 2\u20137. Base32 is primarily used to encode binary data, but Base32 is also able to encode binary text like ASCII. Base32 is a notation for encoding arbitrary byte data using a restricted set of symbols that can be conveniently used by humans and processed by computers. Base32 consists of a symbol set made up of 32 different characters, as well as an algorithm for encoding arbitrary sequences of 8-bit bytes into the Base32 alphabet. Because more than one 5-bit Base32 symbol is needed to represent each 8-bit input byte, it also specifies requirements on the allowed lengths of Base32 strings (which must be multiples of 40 bits). The closely related Base64 system, in contrast, uses a set of 64 symbols.".freeze
  s.email = "samuel.tesla@gmail.com".freeze
  s.homepage = "https://github.com/ydakuka/base32.rb".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Ruby extension for base32 encoding and decoding.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<gem-release>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.11"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.73"])
    s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.5"])
  else
    s.add_dependency(%q<gem-release>.freeze, ["~> 2.0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.11"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.73"])
    s.add_dependency(%q<rubocop-performance>.freeze, ["~> 1.5"])
  end
end
